GetArtifact
curl --request GET \
--url https://api.siftstack.com/api/v1/artifacts/{artifactId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/artifacts/{artifactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/artifacts/{artifactId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"artifact": {
"artifactId": "<string>",
"organizationId": "<string>",
"createdByUserId": "<string>",
"authoringKind": "ARTIFACT_AUTHORING_KIND_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"artifactVersionId": "<string>",
"version": 123,
"title": "<string>",
"summary": "<string>",
"authoringMessageId": "<string>",
"sourceToolUseIds": [
"<string>"
],
"remoteFileId": "<string>",
"versionCreatedDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"fileMimeType": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ArtifactService
GetArtifact
Get one artifact, resolved to the latest version unless artifact_version_id pins one.
GET
/
api
/
v1
/
artifacts
/
{artifactId}
GetArtifact
curl --request GET \
--url https://api.siftstack.com/api/v1/artifacts/{artifactId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/artifacts/{artifactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/artifacts/{artifactId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"artifact": {
"artifactId": "<string>",
"organizationId": "<string>",
"createdByUserId": "<string>",
"authoringKind": "ARTIFACT_AUTHORING_KIND_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"artifactVersionId": "<string>",
"version": 123,
"title": "<string>",
"summary": "<string>",
"authoringMessageId": "<string>",
"sourceToolUseIds": [
"<string>"
],
"remoteFileId": "<string>",
"versionCreatedDate": "2023-11-07T05:31:56Z",
"fileName": "<string>",
"fileMimeType": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
A successful response.
Container fields flattened together with one resolved version.
Show child attributes
Show child attributes
Was this page helpful?